Bug 28722 - univention.lib.share_restrictions schreibt keine samba/global/options
univention.lib.share_restrictions schreibt keine samba/global/options
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: univention-lib
UCS 3.0
Other Linux
: P5 normal (vote)
: UCS 3.2-0-errata
Assigned To: Arvid Requate
Stefan Gohmann
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-09 17:03 CEST by Arvid Requate
Modified: 2014-01-29 11:22 CET (History)
5 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments
share_restrictions.patch (991 bytes, patch)
2012-10-09 17:05 CEST, Arvid Requate
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Arvid Requate univentionstaff 2012-10-09 17:03:56 CEST
In UCS 3.0-2 habe ich versucht per 

root@ucs:~# ucr set samba/global/options/"netbios aliases"=XYZ
Setting samba/global/options/netbios aliases
Script: /etc/univention/templates/scripts/samba.local.config.py
Multifile: /etc/samba/smb.conf

eine Samba-Option über /etc/samba/local.config.conf und
/etc/samba/local.config.d/global.local.config.conf
einzubinden.

Das schlägt fehl, weil das Modul univention.lib.share_restrictions die UCR-Variablen zwar erkennt, aber dann ein leeres/falsches Dictionary verwendet.
Comment 1 Arvid Requate univentionstaff 2012-10-09 17:05:08 CEST
Created attachment 4700 [details]
share_restrictions.patch
Comment 2 Tim Petersen univentionstaff 2013-10-02 08:34:04 CEST
Variable angefragt an Ticket #2013093021002201. Verhalten kann ich auch unter 3.1-1 beobachten.
Comment 3 Stefan Gohmann univentionstaff 2014-01-17 08:05:06 CET
Please apply the patch. I think a simple test case for ucs-test would be nice.
Comment 4 Arvid Requate univentionstaff 2014-01-22 20:22:10 CET
Fixed. Setting the UCR vairable now commits
 /etc/samba/local.config.d/global.local.config.conf
and testparm show that it gets included.

Advisory: 2014-01-22-univention-samba.yaml
Comment 5 Stefan Gohmann univentionstaff 2014-01-24 08:37:56 CET
(In reply to Arvid Requate from comment #4)
> Fixed. Setting the UCR vairable now commits
>  /etc/samba/local.config.d/global.local.config.conf
> and testparm show that it gets included.

OK, I've added a test case for this: 53_samba-common/60_local_config

Code: OK

YAML: OK
Comment 6 Moritz Muehlenhoff univentionstaff 2014-01-29 11:22:00 CET
http://errata.univention.de/ucs/3.2/44.html